Skip to content

Search Equity scrips

GET /eqDervSearch/search

This API is used to search equity, derivatives and commodity scrips based on user provided search symbol and exchange name.

Parameters

NameTypeRequiredDescription
exchangestringfalseName of the exchange. Valid exchange values (BSE/ NSE/ NFO/ MCX/ CDS). If the user does not provide an exchange name, it is considered as NSE by default. For trading with BSE, NFO, CDS, and MCX, the exchange is mandatory.
searchSymbolNamestringtrueTrading Symbol of the scrip to be searched.

Sample Request Body

bash
curl -X GET 'https://tradeapi.samco.in/eqDervSearch/search?exchange=BFO&searchSymbolName=ZYDUSLIFE24MAYFUT' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-session-token: <SESSION_TOKEN>'
java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Sample {
  public static void main(String[] args) throws Exception {
    HttpClient client = HttpClient.newHttpClient();

    HttpRequest request = HttpRequest.newBuilder()
        .uri(URI.create("https://tradeapi.samco.in/eqDervSearch/search?exchange=BFO&searchSymbolName=ZYDUSLIFE24MAYFUT"))
        .header("Content-Type", "application/json")
        .header("Accept", "application/json")
        .header("x-session-token", "<SESSION_TOKEN>")
        .GET()
        .build();

    HttpResponse<String> response =
        client.send(request, HttpResponse.BodyHandlers.ofString());
    System.out.println(response.body());
  }
}
js
(async () => {
  const headers = {
    'Content-Type': 'application/json',
    'Accept': 'application/json',
    'x-session-token': '<SESSION_TOKEN>',
  };

  const response = await fetch('https://tradeapi.samco.in/eqDervSearch/search?exchange=BFO&searchSymbolName=ZYDUSLIFE24MAYFUT', {
    method: 'GET',
    headers,
  });

  const data = await response.json();
  console.log(data);
})();
py
import requests
import json

headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'x-session-token': '<SESSION_TOKEN>',
}

r = requests.get('https://tradeapi.samco.in/eqDervSearch/search?exchange=BFO&searchSymbolName=ZYDUSLIFE24MAYFUT',
  headers=headers)

print(r.json())

Sample Responses

json
{
    "serverTime": "05/04/24 16:44:12",
    "msgId": "c0c3fc7c-9000-4d74-8069-6f67009e7e63",
    "status": "Success",
    "statusMessage": "Request successful",
    "searchResults": [
        {
            "exchange": "BFO",
            "tradingSymbol": "ZYDUSLIFE24MAYFUT",
            "quantityInLots": "900",
            "instrument": "FUTSTK"
        }
    ]
}

Response Schema

Status Code 200

NameTypeDescription
msgIdstringThis is a unique identifier for every request into the system. Please quote this identifier to the support team if you face issues with the API request.
statusstringThe status of the API response. It can be either 'Success' or 'Failure'.
statusMessagestringA message describing the result of the API call.
searchResults[object]Scrips details available for the provided search text.
exchangestringName of the exchange. Valid exchange values (BSE/ NSE/ NFO/ MCX/ CDS). If the user does not provide an exchange name, it is considered as NSE by default. For trading with BSE, NFO, CDS, and MCX, the exchange is mandatory.
scripDescriptionstringScrip description.
tradingSymbolstringTrading Symbol of the scrip.
isinstringThe standard ISIN representing stocks uniquely at an international level. It is the same for every exchange.
bodLotQuantitystringNone.
tickSizestringThe value of a single price tick. Default value is 0.05.
instrumentstringInstrument Name.
quantityInLotsstringLot size of the symbol to be traded. At the time of placing an order, the quantity should be in multiples of Broadlot Qty only.